﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Silverlight.Chart;
using System.Collections.ObjectModel;

namespace XamWebChartPie
{
    public partial class MainPage : UserControl
    {
        Series mySeries;
        public MainPage()
        {
            InitializeComponent();
            mySeries = new Series();
            GenerateSeriesData();
        }
        public void GenerateSeriesData()
        {
            mySeries.Label = "Series 1";
            mySeries.ChartType = ChartType.Pie;

            for (int i = 1; i < 5; i++)
            {
                DataPoint point = new DataPoint();
                point.Label = "Name " + i;
                point.Value = i*100;
                point.Marker=new Marker();
                mySeries.DataPoints.Add(point);
            }
        }

        private void XamWebChart_Loaded(object sender, RoutedEventArgs e)
        {
            (sender as XamWebChart).Series.Add(mySeries);
        }


    }
}
